# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
name = "sardine"
version = "0.6.1"
authors = ["Marc-André Moreau <marcandre.moreau@gmail.com>", "Philippe Dugre <pdugre@devolutions.net>", "François Dubois <francois.dubois.x@gmail.com>", "Salah Kamate <mohamedsalahkamate@gmail.com>", "Richard Markiewicz <rmarkiewicz@devolutions.net>"]
description = "Secure Remote Delegation (SRD) Authentication Protocol"
homepage = "https://github.com/wayk/sardine-rs"
keywords = ["srd", "delegation", "authentication", "protocol"]
license = "MIT/Apache-2.0"
repository = "https://github.com/wayk/sardine-rs"
[profile.release]
lto = true

[lib]
name = "sardine"
crate-type = ["staticlib", "lib"]

[[example]]
name = "wasm"
crate-type = ["cdylib"]
path = "src/lib.rs"
[dependencies.aes256]
version = "0.3.2"
optional = true
package = "aes"

[dependencies.block-modes]
version = "0.3.3"
optional = true

[dependencies.byteorder]
version = "1.2"

[dependencies.cfg-if]
version = "0.1"

[dependencies.chacha]
version = "0.1.0"

[dependencies.hmac]
version = "0.6"

[dependencies.libc]
version = "0.2.40"

[dependencies.num-bigint]
version = "0.3"
default_features = false

[dependencies.num-integer]
version = "0.1"
default_features = false

[dependencies.num-traits]
version = "0.2"
default_features = false

[dependencies.rand]
version = "0.7.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dependencies.sha2]
version = "0.7"

[dependencies.wasm-bindgen]
version = "0.2"
features = ["std"]
optional = true
default_features = false

[features]
aes = ["aes256", "block-modes"]
default = []
fips = ["aes"]
ser = ["serde", "num-bigint/serde"]
wasm = ["wasm-bindgen", "rand/wasm-bindgen"]
